## helvum 0.5.1+20240829

=== meson_options.txt ===
option(
  'profile',
  type: 'combo',
  choices: [
    'default',
    'development'
  ],
  value: 'default',
  description: 'The build profile for Helvum. One of "default" or "development".'
)

## helvum 0.4.0

=== debian/changelog ===
helvum (0.4.0-4) unstable; urgency=medium

  * drop patch 2001, obsoleted by Debian package updates;
    tighten build-dependencies for crates glib gtk4;
    closes: bug#1042916, thanks to Matthias Geiger
  * update dh-cargo fork

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 03 Aug 2023 14:30:14 +0200

helvum (0.4.0-3) unstable; urgency=medium

  * no-changes source-only upload to enable testing migration

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 28 Jul 2023 08:28:17 +0200

helvum (0.4.0-2) experimental; urgency=medium

  * update copyright info: update coverage;
    thanks to Thorsten Alteholz

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 27 Jul 2023 22:44:55 +0200

helvum (0.4.0-1) experimental; urgency=low

  * initial Release;
    closes: Bug#995619

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 29 Jun 2023 15:01:57 +0200

=== debian/control ===
Source: helvum
Section: sound
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 appstream-util,
 debhelper-compat (= 13),
 desktop-file-utils,
 dh-cargo,
 librust-glib-0.17+default-dev,
 librust-glib-0.17+log-dev,
 librust-gtk4-0.6+default-dev,
 librust-log-0.4+default-dev,
 librust-once-cell-1+default-dev,
 librust-pipewire-0.6+default-dev,
 libstring-shellquote-perl,
 meson,
Standards-Version: 4.6.2
Homepage: https://gitlab.freedesktop.org/ryuukyu/helvum
Vcs-Git: https://salsa.debian.org/debian/helvum.git
Vcs-Browser: https://salsa.debian.org/debian/helvum
Rules-Requires-Root: no

Package: helvum
Architecture: any
Depends:
 ${cargo:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${cargo:Recommends},
Suggests:
 ${cargo:Suggests},
Provides:
 ${cargo:Provides},
Built-Using:
 ${cargo:Built-Using},
XB-X-Cargo-Built-Using:
 ${cargo:X-Cargo-Built-Using},
Description: GTK patchbay for pipewire
 Helvum is a GTK-based patchbay for pipewire,
 inspired by the JACK tool catia.

## helvum 0.4.1

=== debian/changelog ===
helvum (0.4.1-0ubuntu1) mantic; urgency=medium

  * New upstream release
  * Add relax-deps patch
  * Update Build-Depends versions

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 30 Sep 2023 16:12:15 -0400

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: helvum
 Section: sound
 Priority: optional
-Maintainer: Jonas Smedegaard <dr@jones.dk>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jonas Smedegaard <dr@jones.dk>
 Build-Depends:
  appstream-util,
  debhelper-compat (= 13),
  desktop-file-utils,
  dh-cargo,
- librust-glib-0.17+default-dev,
- librust-glib-0.17+log-dev,
- librust-gtk4-0.6+default-dev,
+ librust-glib-0.18+default-dev,
+ librust-glib-0.18+log-dev,
+ librust-gtk4-0.7+default-dev,
  librust-log-0.4+default-dev,
  librust-once-cell-1+default-dev,
  librust-pipewire-0.6+default-dev,

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/,\
dversionmangle=auto \
https://gitlab.freedesktop.org/ryuukyu/helvum/-/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@

## helvum 0.5.1

=== debian/changelog ===
helvum (0.5.1-1) unstable; urgency=medium

  * update source helper tool copyright-check
  * build-depend on packages for crate libadwaita (not gtk4);
    bump build-dependencies for crate pipewire;
    drop patch obsoleted by Debian package changes;
    closes: bug#1054099, thanks to Jeremy Bícha

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 18 Oct 2023 05:34:33 +0200

helvum (0.4.1-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream release (Closes: #1051241)
  * Add relax-deps patch
  * Update Build-Depends versions

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Oct 2023 11:44:53 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: helvum
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jonas Smedegaard <dr@jones.dk>
+Maintainer: Jonas Smedegaard <dr@jones.dk>
 Build-Depends:
  appstream-util,
  debhelper-compat (= 13),
@@ -10,10 +9,11 @@
  dh-cargo,
  librust-glib-0.18+default-dev,
  librust-glib-0.18+log-dev,
- librust-gtk4-0.7+default-dev,
+ librust-libadwaita-0.5+default-dev,
+ librust-libadwaita-0.5+v1-3-dev,
  librust-log-0.4+default-dev,
  librust-once-cell-1+default-dev,
- librust-pipewire-0.6+default-dev,
+ librust-pipewire-0.7+default-dev,
  libstring-shellquote-perl,
  meson,
 Standards-Version: 4.6.2

=== debian/rules ===
#!/usr/bin/make -f

ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
export CARGO_TERM_VERBOSE = true
endif

# use local fork of debcargo and dh-cargo
PATH := $(CURDIR)/debian/dh-cargo/bin:$(PATH)
PERL5LIB = $(CURDIR)/debian/dh-cargo/lib
export PATH PERL5LIB

%:
	dh $@ --buildsystem=cargo

execute_after_dh_auto_configure:
	mkdir -p debian/build
	ln --symbolic --force ../cargo_home debian/build/cargo-home
	cd debian/build && meson --prefix=/usr ../..

override_dh_auto_build:
	cd debian/build && ninja -v

override_dh_auto_test:
	cd debian/build && ninja test

override_dh_auto_install:
	cd debian/build && DESTDIR=${CURDIR}/debian/helvum ninja install

## helvum 0.5.1%2B20240328

=== debian/changelog ===
helvum (0.5.1+20240328-1) experimental; urgency=medium

  [ upstream ]
  * development snapshot;
    closes: bug#1063026, thanks to Matthias Geiger and Jeremy Bícha

  [ Jonas Smedegaard ]
  * update watch file to track git commits (not release tags)
  * tighten build-dependencies;
    build-depend on package for crates async-channel libc
  * fix declare Static-Built-Using
    (not Build-Using nor XB-X-Cargo-Built-Using)
  * declare compliance with Debian Policy 4.7.0
  * add patch 2001 to accept older branch of crate async-channel
  * update dh-cargo fork
  * update copyright info: update coverage
  * build-depend on libgtk-4-bin
  * let debhelper snippets invoke meson

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 20 Apr 2024 17:26:09 +0200

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
mode=git,pgpmode=none,pretty=0.5.1+%cd,\
dversionmangle=auto \
https://gitlab.freedesktop.org/ryuukyu/helvum.git \
HEAD

## helvum 0.5.1%2B20240829

=== debian/watch ===
version: 5
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

Source: https://gitlab.freedesktop.org/ryuukyu/helvum.git
Matching-Pattern: HEAD
Mode: git
PgpMode: none
Pretty: 0.5.1+%cd

## helvum 0.5.1+20240328

=== debian/changelog ===
helvum (0.5.1+20240328-5) unstable; urgency=medium

  * extend patch 1001;
    closes: bug#1082592, thanks to Matthias Geiger

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 22 Sep 2024 23:47:41 +0200

helvum (0.5.1+20240328-4) unstable; urgency=medium

  * add patch 1001
    to accept newer branches of crates glib libadwaita;
    bump build-dependencies for crates glib libadwaita;
    closes: bug#1079498, thanks to Jeremy Bícha
  * drop patch 2001,
    obsoleted by Debian package changes;
    tighten build-dependency for crate async-channel

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 27 Aug 2024 20:04:03 +0200

helvum (0.5.1+20240328-3) unstable; urgency=medium

  * simplify packaging;
    build-depend on dh-sequence-rust
    (not dh-cargo libstring-shellquote-perl)

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 12 Jul 2024 01:48:53 +0200

helvum (0.5.1+20240328-2) unstable; urgency=medium

  * re-release targeted unstable;
    closes: bug#1063026, thanks to Jeremy Bícha
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 10 Jun 2024 08:22:26 +0200

=== debian/control ===
Source: helvum
Section: sound
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 appstream-util,
 debhelper-compat (= 13),
 desktop-file-utils,
 dh-sequence-rust,
 libgtk-4-bin,
 librust-async-channel-2+default-dev,
 librust-glib-0.20+default-dev,
 librust-glib-0.20+log-dev,
 librust-libadwaita-0.7+default-dev,
 librust-libadwaita-0.7+v1-4-dev,
 librust-libc-0.2+default-dev,
 librust-log-0.4+default-dev,
 librust-once-cell-1+default-dev,
 librust-pipewire-0.8+default-dev,
 meson,
Standards-Version: 4.7.0
Homepage: https://gitlab.freedesktop.org/ryuukyu/helvum
Vcs-Git: https://salsa.debian.org/debian/helvum.git
Vcs-Browser: https://salsa.debian.org/debian/helvum
Rules-Requires-Root: no

Package: helvum
Architecture: any
Depends:
 ${cargo:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${cargo:Recommends},
Suggests:
 ${cargo:Suggests},
Provides:
 ${cargo:Provides},
Static-Built-Using:
 ${cargo:Static-Built-Using},
Description: GTK patchbay for pipewire
 Helvum is a GTK-based patchbay for pipewire,
 inspired by the JACK tool catia.

## helvum 0.5.1+20240829

=== debian/changelog ===
helvum (0.5.1+20240829-5) unstable; urgency=medium

  * build-depend on libstd-rust-dev
  * update DEP-3 patch headers
  * update watch file: use file format 5

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 28 Aug 2025 14:58:43 +0200

helvum (0.5.1+20240829-4) unstable; urgency=medium

  * no-changes source-only upload to enable testing migration

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 10 Aug 2025 13:51:39 +0200

helvum (0.5.1+20240829-3) experimental; urgency=medium

  * relax patch 1001
    to accept even newer branches of crates glib libadwaita;
    relax build-dependencies for crates glib libadwaita;
    closes: bug#1110133, thanks to Matthias Geiger
  * declare compliance with Debian Policy 4.7.2

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 02 Aug 2025 12:34:19 +0200

helvum (0.5.1+20240829-2) unstable; urgency=medium

  * tune build flags for hardening and speed

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 20 Jan 2025 12:55:59 +0100

helvum (0.5.1+20240829-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot

  [ Jonas Smedegaard ]
  * build-depend on package for crate natord

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 16 Oct 2024 14:58:06 +0200

=== debian/control ===
--- 
+++ 
@@ -9,16 +9,16 @@
  dh-sequence-rust,
  libgtk-4-bin,
  librust-async-channel-2+default-dev,
- librust-glib-0.20+default-dev,
- librust-glib-0.20+log-dev,
- librust-libadwaita-0.7+default-dev,
- librust-libadwaita-0.7+v1-4-dev,
+ librust-glib-dev (<< 0.22),
+ librust-libadwaita-dev (<< 0.9),
  librust-libc-0.2+default-dev,
  librust-log-0.4+default-dev,
+ librust-natord-1+default-dev,
  librust-once-cell-1+default-dev,
  librust-pipewire-0.8+default-dev,
+ libstd-rust-dev,
  meson,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://gitlab.freedesktop.org/ryuukyu/helvum
 Vcs-Git: https://salsa.debian.org/debian/helvum.git
 Vcs-Browser: https://salsa.debian.org/debian/helvum

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_CXXFLAGS_MAINT_APPEND  = -Wall -pedantic

# trust upstream optimization level unless explicitly disabled
ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
export DEB_CFLAGS_MAINT_STRIP=-O2
export DEB_CXXFLAGS_MAINT_STRIP=-O2
endif

ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
export CARGO_TERM_VERBOSE = true
endif

%:
	dh $@

execute_after_dh_auto_configure:
	mkdir -p debian/build
	ln --symbolic --force ../cargo_home debian/build/cargo-home
	dh_auto_configure --buildsystem=meson+ninja --builddirectory=debian/build

override_dh_auto_build:
	dh_auto_build --buildsystem=meson+ninja --builddirectory=debian/build

override_dh_auto_test:
	dh_auto_test --buildsystem=meson+ninja --builddirectory=debian/build

override_dh_auto_install:
	dh_auto_install --buildsystem=meson+ninja --builddirectory=debian/build
